Hi,

the utility setup code in zope.app.appsetup.bootstrap contains a
somewhat annoying deprecation warning which said that the default option
would go away in 3.5. This package moved beyond 3.5 and still has the
code in it.

It throws the folloing warning:

/home/ctheune/.buildout/eggs/zope.app.appsetup-3.4.1-py2.4.egg/zope/app/appsetup/bootstrap.py:85:
 DeprecationWarning: asObject=False is deprecated and will not be supported 
after Zope 3.5

The deprecation seems to intend to remove the behaviour of the existing
default parameter by removing the parameter completely. I'd be happy
with that, but I can't write my code in a way to both silences the
deprecation warning and stays future compatible (because of the argument
that will go away).

I wonder whether removing that argument is still a todo. If it is, I'd
be happy to do so now.

Christian

-- 
Christian Theune · [EMAIL PROTECTED]
gocept gmbh & co. kg · forsterstraße 29 · 06112 halle (saale) · germany
http://gocept.com · tel +49 345 1229889 7 · fax +49 345 1229889 1
Zope and Plone consulting and development

Attachment: signature.asc
Description: This is a digitally signed message part

_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to